Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class BaseID

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.BaseID

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:38:06+02:00",
               comments="JAXB RI v2.2.11")
    public abstract class BaseID

extends Object
implements Serializable

Java class for BaseIDAbstractType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseIDAbstractType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attGroup ref="{urn:oasis:names:tc:SAML:2.0:assertion}IDNameQualifiers"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BaseID()`

Method Summary
`String` | `getNameQualifier()` Gets the value of the nameQualifier property.
`String` | `getSPNameQualifier()` Gets the value of the spNameQualifier property.
`void` | `setNameQualifier(String value)` Sets the value of the nameQualifier property.
`void` | `setSPNameQualifier(String value)` Sets the value of the spNameQualifier property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseID

    public BaseID()

Method Detail

### getNameQualifier

    public String getNameQualifier()

  Gets the value of the nameQualifier property.

  Returns:
    possible object is `String`

### setNameQualifier

    public void setNameQualifier(String value)

  Sets the value of the nameQualifier property.

  Parameters:
    `value` - allowed object is `String`

### getSPNameQualifier

    public String getSPNameQualifier()

  Gets the value of the spNameQualifier property.

  Returns:
    possible object is `String`

### setSPNameQualifier

    public void setSPNameQualifier(String value)

  Sets the value of the spNameQualifier property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.